AC_DEFUN([DX_PROG_MD5SUM], [dnl
AC_CHECK_PROGS([MD5SUM], [md5sum], [false])
AC_CACHE_CHECK([whether md5sum works], [dx_cv_md5sum_works], [dnl
	dx_cv_md5sum_works=yes
	# Positive test
	cat >conftest.md5 <<'EOF'
d41d8cd98f00b204e9800998ecf8427e  /dev/null
EOF
	if $MD5SUM -c conftest.md5 >/dev/null 2>&1; then :; else
		dx_cv_md5sum_works=no
	fi
	# Negative test
	cat >conftest.md5 <<'EOF'
d41d8cd98f00b204e9810998ecf8427e  /dev/null
EOF
	if $MD5SUM -c conftest.md5 >/dev/null 2>&1; then
		dx_cv_md5sum_works=no
	fi
	rm -f conftest.md5
])])
